On 2/27/24 23:04, Johannes Thumshirn wrote:
On 27.02.24 14:12, Zorro Lang wrote:
On Thu, Feb 15, 2024 at 03:47:06AM -0800, Johannes Thumshirn wrote:
Recently we had a bug where a zoned filesystem could be converted to a
higher data redundancy profile than supported.
Add a test-case to check the conversion on zoned filesystems.
Reviewed-by: Filipe Manana <fdmanana@xxxxxxxx>
Signed-off-by: Johannes Thumshirn <johannes.thumshirn@xxxxxxx>
---
tests/btrfs/310 | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++
tests/btrfs/310.out | 12 ++++++++++
2 files changed, 79 insertions(+)
diff --git a/tests/btrfs/310 b/tests/btrfs/310
new file mode 100755
index 000000000000..c39f60168f8a
--- /dev/null
+++ b/tests/btrfs/310
@@ -0,0 +1,67 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0
+# Copyright (c) 2024 Western Digital Corporation. All Rights Reserved.
+#
+# FS QA Test 310
+#
+# Test that btrfs convert can ony be run to convert to supported profiles on a
+# zoned filesystem
+#
+. ./common/preamble
+_begin_fstest volume raid convert
Don't you want to add it in "auto" group, to be a default test?
Actually I do and forgot about it, sorry.
I missed it too. I'll add it before the PR. I've updated the
mkfs as Zorro suggests.
----------
<snap>
+_begin_fstest auto volume raid convert
<snap>
+_scratch_mkfs -msingle -dsingle 2>&1 >> $seqres.full || _fail "mkfs failed"
<snap>
----------
Thanks, Anand